%define name_app	abisuite
%define enc		cp1251
%define version		0.99
%define release 	alt2

Name: %name_app-%enc
Summary: CP1251 support for abisuite
Version: %version
Release: %release

Packager: AEN <aen@altlinux.ru>

Source: abisuite-cp1251-0.9.tar.bz2
Source1: russianw.hash-encoding
Source2: belarusian.hash-encoding
Source3: system.profile.ru_RU.CP1251
Source4: system.profile.be_BY.CP1251

Group: Office

BuildArch: noarch

Requires: %name_app >= %version
License: GPL

%description
CP1251 fonts & configuration files for Abisuite

%prep
%setup -q -nabisuite-cp1251-0.9

%build
%install
mkdir -p $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/{AbiWord,dictionary,fonts}

cp -ar *  $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/fonts

cp %SOURCE1 $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/dictionary
cp %SOURCE2 $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/dictionary

cp %SOURCE3 $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/AbiWord
cp %SOURCE4 $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/AbiWord

cd $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/fonts/CP1251

ln -sf ../adobe-full.u2g adobe-short.u2g

cd $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/dictionary

ln -sf /usr/lib/ispell/russianw.hash russianw.hash
ln -sf /usr/lib/ispell/belarusian.hash belarusian.hash

cd $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/AbiWord

ln -s system.profile.be_BY.CP1251 system.profile.be_BY
ln -s system.profile.be_BY.CP1251 system.profile.be

%files
%_datadir/abisuite/AbiSuite/AbiWord/system.profile*
%_datadir/abisuite/AbiSuite/dictionary/russianw.*
%_datadir/abisuite/AbiSuite/dictionary/belarusian.*
%_datadir/abisuite/AbiSuite/fonts/CP1251/


%changelog
* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.99-alt2
- rebuild

* Mon Mar 18 2002 AEN <aen@logic.ru> 0.99-alt1
- new font from val

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.9.4.1-alt1
- requires changed

* Tue Sep 25 2001 AEN <aen@logic.ru> 0.9.2-alt2
- fonts fixed by John Profic

* Thu Aug 16 2001 AEN <aen@logic.ru> 0.9.2-alt1
- build for new version

* Tue Jul 17 2001 AEN <aen@logic.ru> 0.9-alt2
- russianw* removed
- fonts.dir fixed

* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt1
- build for new version

* Fri May 25 2001 AEN <aen@logic.ru> 0.7.14-alt1
- build for new version

* Tue Feb 27 2001 AEN <aen@logic.ru> 0.7.13-ipl1mdk
- rebuild for new version abi

* Wed Oct 11 2000 AEN <aen@logic.ru>
- build for RE
